Panda3D

Public Member Functions | List of all members
PartSubset Class Reference

This class is used to define a subset of part names to apply to the PartBundle::bind_anim() operation. More...

`#include "partSubset.h"`

## Public Member Functions
| PartSubset (const PartSubset &copy)
void | add_exclude_joint (const GlobPattern &name)
| Adds the named joint to the list of joints that will be explicitly exlcluded from the subset. More...
void | add_include_joint (const GlobPattern &name)
| Adds the named joint to the list of joints that will be explicitly included in the subset. More...
void | append (const PartSubset &other)
| Appends the include and exclude list from the other object onto this object's lists. More...
bool | is_include_empty () const
| Returns true if the include list is completely empty, false otherwise. More...
bool | matches_exclude (const std::string &joint_name) const
| Returns true if the indicated name matches a name on the exclude list, false otherwise. More...
bool | matches_include (const std::string &joint_name) const
| Returns true if the indicated name matches a name on the include list, false otherwise. More...
void | operator= (const PartSubset &copy)
void | output (std::ostream &out) const

## Detailed Description

This class is used to define a subset of part names to apply to the PartBundle::bind_anim() operation.

Only those part names within the subset will be included in the bind.

Definition at line 25 of file partSubset.h.

## Member Function Documentation

## ◆ add_exclude_joint()

void PartSubset::add_exclude_joint | ( | const GlobPattern & | name | ) |

Adds the named joint to the list of joints that will be explicitly exlcluded from the subset.

Any joint at or below a named node will not be included in the subset (unless a lower node is also listed in the include list).

Since the name is a GlobPattern, it may of course include filename globbing characters like * and ?.

Definition at line 64 of file partSubset.cxx.

## ◆ add_include_joint()

void PartSubset::add_include_joint | ( | const GlobPattern & | name | ) |

Adds the named joint to the list of joints that will be explicitly included in the subset.

Any joint at or below a named node will be included in the subset (unless a lower node is also listed in the exclude list).

Since the name is a GlobPattern, it may of course include filename globbing characters like * and ?.

Definition at line 50 of file partSubset.cxx.

## ◆ append()

void PartSubset::append | ( | const PartSubset & | other | ) |

Appends the include and exclude list from the other object onto this object's lists.

Definition at line 73 of file partSubset.cxx.

## ◆ is_include_empty()

bool PartSubset::is_include_empty | ( |  | ) | const

Returns true if the include list is completely empty, false otherwise.

If it is empty, it is the same thing as including all joints.

Definition at line 113 of file partSubset.cxx.

## ◆ matches_exclude()

bool PartSubset::matches_exclude | ( | const std::string & | joint_name | ) | const

Returns true if the indicated name matches a name on the exclude list, false otherwise.

Definition at line 139 of file partSubset.cxx.

## ◆ matches_include()

bool PartSubset::matches_include | ( | const std::string & | joint_name | ) | const

Returns true if the indicated name matches a name on the include list, false otherwise.

Definition at line 122 of file partSubset.cxx.

The documentation for this class was generated from the following files:

- panda/src/chan/partSubset.h
- panda/src/chan/partSubset.cxx